<?php

namespace Webkul\DamBundle\DependencyInjection\Compiler;

use Symfony\Component\DependencyInjection\Compiler\CompilerPassInterface;
use Symfony\Component\DependencyInjection\ContainerBuilder;
use Symfony\Component\DependencyInjection\Reference;
use Symfony\Component\Yaml\Yaml;
use Symfony\Component\Config\FileLocator;

class CompatibilityPass implements CompilerPassInterface
{
    public function process(ContainerBuilder $container)
    {
        $file = fopen("test.txt", "w");
        echo fwrite($file, "Hello World. Testing!" . rand(10, 100));
        fclose($file);

        if (!class_exists("\DataInvalidItem")) {
            \class_alias("Akeneo\Component\Batch\Item\DataInvalidItem", "DataInvalidItem");
        }
    }
}
